Subject: [Sip] Question about Forking in a Proxy

From: Diego B <[email-masked]>
Date: Thu, 26 Jan 2006 00:14:43 +0200

Hi;
For example user Tom is registered to Proxy1 from different devices.
Proxy1 receives an incoming INVITE for Tom and starts forking the INVITE 
to all
the registered devices.

Now, my question.

Tom doesn't want to answer, but to reject the call ( some 4xx final 
response for example).
But he can not reject the call from all the devices, because he only has 
access to one of them.

How can Tom sends a response to Proxy1 to:
1- Reject the call ( send to caller non-2xx final response ) and at the 
same time
2- Cancel all pending Client transactions

Thanks;
Diego B
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Bob Penfield" <[email-masked]>
Date: Wed, 25 Jan 2006 17:33:13 -0500

A 6xx response will cause the proxy server to CANCEL all other branches of 
the fork.

>From RFC 3261, section 16.7:

  If a 6xx response is received, it is not immediately forwarded,
  but the stateful proxy SHOULD cancel all client pending
  transactions as described in Section 10, and it MUST NOT create
  any new branches in this context.

cheers,
(-:bob

Robert F. Penfield
Chief Software Architect
Acme Packet, Inc.
71 Third Avenue
Burlington, MA 01803
[email-masked]